> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-update-ref-tables.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v0/splice-instance-names

> Retrieve the UI names of various elements of this Splice network.



## OpenAPI

````yaml /openapi/splice/scan/scan.yaml get /v0/splice-instance-names
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/splice-instance-names:
    get:
      tags:
        - internal
        - scan
      summary: GET /v0/splice-instance-names
      description: Retrieve the UI names of various elements of this Splice network.
      operationId: getSpliceInstanceNames
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSpliceInstanceNamesResponse'
        '404':
          $ref: '#/components/responses/404'
components:
  schemas:
    GetSpliceInstanceNamesResponse:
      type: object
      required:
        - network_name
        - network_favicon_url
        - amulet_name
        - amulet_name_acronym
        - name_service_name
        - name_service_name_acronym
      properties:
        network_name:
          description: What to call this Splice network.
          type: string
        network_favicon_url:
          description: URL of an HTML favicon for this Splice network.
          type: string
        amulet_name:
          description: What this Splice network calls Amulet.
          type: string
        amulet_name_acronym:
          description: The three-letter acronym for Amulet.
          type: string
        name_service_name:
          description: What this Splice network calls the Amulet Name Service.
          type: string
        name_service_name_acronym:
          description: The acronym for `name_service_name`.
          type: string
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    '404':
      description: not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'

````